/ comp / gb.gtk / draw / begin
Draw.Begin (gb.gtk)
Syntax

    STATIC SUB Begin ( Device AS Object )

Begins a new drawing. The device can be one of the following objects:

- A Window,
- A Picture,
- A Drawing,
- A DrawingArea,
- Or a Printer.

Note that calls to this method can be nested.

You must not call this method inside the Draw event handler of a DrawingArea control, as Gambas calls it for you, and initializes the drawing properties correctly: clipping, brush origin, and so on.